Bug 1125194 - virsh mishandles inactive configuration on device hot(un)plug commands
Summary: virsh mishandles inactive configuration on device hot(un)plug commands
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Peter Krempa
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 921398 1049529
Blocks: 921407
TreeView+ depends on / blocked
 
Reported: 2014-07-31 09:39 UTC by Xuesong Zhang
Modified: 2015-07-22 05:46 UTC (History)
12 users (show)

Fixed In Version: libvirt-0.10.2-49.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 1049529
Environment:
Last Closed: 2015-07-22 05:46:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1252 normal SHIPPED_LIVE libvirt bug fix update 2015-07-20 17:50:06 UTC

Comment 4 yisun 2015-02-27 08:06:13 UTC
verified with libvirt-0.10.2-49.el6.x86_64

Scenario one: attach/detach-disk with --config to running vm   --SUCESSFULLY
steps:
1. # virsh start vm1
2. # qemu-img create /var/lib/libvirt/images/disk.img 10M
3. # virsh attach-disk vm1 /var/lib/libvirt/images/disk.img hdd --config
     Disk attached successfully
4. # virsh domblklist vm1
Target                 Source
------------------------------------------------
hda                 /var/lib/libvirt/images/rhel6.raw
hdc                 /var/lib/libvirt/images/1.iso

5. # virsh domblklist vm1 --inactive
Target             Source
------------------------------------------------
hda                /var/lib/libvirt/images/rhel6.raw
hdc                /var/lib/libvirt/images/1.iso
hdd                /var/lib/libvirt/images/disk.img

6. # virsh detach-disk vm1 hdd --config
Disk detached successfully

7. # virsh domblklist vm1 --inactive
Target             Source
------------------------------------------------
hda                /var/lib/libvirt/images/rhel6.raw
hdc                /var/lib/libvirt/images/1.iso

=====================================================================

Scenario two: attach/detach-disk with --config to shutoff vm   --SUCESSFULLY
steps:
1. # virsh destroy vm1
Domain vm1 destroyed

2. # virsh attach-disk vm1 /var/lib/libvirt/images/disk.img vdd --config
Disk attached successfully

3. # virsh domblklist vm1
Target     Source
------------------------------------------------
hda        /var/lib/libvirt/images/rhel6.raw
hdc        /var/lib/libvirt/images/1.iso
vdd        /var/lib/libvirt/images/disk.img

4. # virsh detach-disk vm1 vdd --config
Disk detached successfully

5. # virsh domblklist vm1
Target     Source
------------------------------------------------
hda        /var/lib/libvirt/images/rhel6.raw
hdc        /var/lib/libvirt/images/1.iso



=====================================================================

Scenario three: attach/detach-disk with --config to shutoff vm   --SUCESSFULLY
steps:
1. # virsh destroy vm1
Domain vm1 destroyed

2. # virsh attach-disk vm1 /var/lib/libvirt/images/disk.img vdd --current
Disk attached successfully

3. # virsh domblklist vm1
Target     Source
------------------------------------------------
hda        /var/lib/libvirt/images/rhel6.raw
hdc        /var/lib/libvirt/images/1.iso
vdd        /var/lib/libvirt/images/disk.img

4. # virsh start vm1
Domain vm1 started

5. # virsh domblklist vm1
Target     Source
------------------------------------------------
hda        /var/lib/libvirt/images/rhel6.raw
hdc        /var/lib/libvirt/images/1.iso
vdd        /var/lib/libvirt/images/disk.img

6. # virsh domblklist vm1 --inactive
Target     Source
------------------------------------------------
hda        /var/lib/libvirt/images/rhel6.raw
hdc        /var/lib/libvirt/images/1.iso
vdd        /var/lib/libvirt/images/disk.img

7. # virsh destroy vm1
Domain vm1 destroyed

8. # virsh detach-disk vm1 vdd --current
Disk detached successfully

9. # virsh domblklist vm1
Target     Source
------------------------------------------------
hda        /var/lib/libvirt/images/rhel6.raw
hdc        /var/lib/libvirt/images/1.iso

10. # virsh domblklist vm1 --inactive
Target     Source
------------------------------------------------
hda        /var/lib/libvirt/images/rhel6.raw
hdc        /var/lib/libvirt/images/1.iso

Comment 6 errata-xmlrpc 2015-07-22 05:46:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1252.html


Note You need to log in before you can comment on or make changes to this bug.